#ifndef _POLE_H_
#define _POLE_H_

#include "object.h"

class Pole
{
public:
	// vlozi objekt na danou pozici
	void Vloz(Object & o, unsigned int index);
	// vrati objekt na dane pozici
	Object & Get(unsigned int index);
	// vytvori pole s danou velikosti
	Pole(unsigned int inicialniVelikost);
	// zrusi pole
	~Pole();

private:
	// ukazatel na naalokovane pole objektu
	Object * pole;
	// aktualni velikost pole
	unsigned int velikost;
};

#endif _POLE_H_